import { AfterViewInit, ElementRef, EventEmitter, NgZone, OnDestroy } from '@angular/core';
import type { Editor } from '@tiptap/core';
import type { ParseOptions } from 'prosemirror-model';
import type { EditorProps } from 'prosemirror-view';
import { DialogService } from '../../services/dialog.service';
import { TiptapEventService } from '../../services/tiptap-event.service';
import { TiptapService } from '../../services/tiptap.service';
export declare class EditorComponent implements AfterViewInit, OnDestroy, OnDestroy {
    private tiptapService;
    private ngZone;
    private element;
    private platformId;
    jsonChange: EventEmitter<Record<string, any>>;
    htmlChange: EventEmitter<string>;
    created: EventEmitter<Editor>;
    beforeCreate: EventEmitter<{
        editor: Editor;
    }>;
    create: EventEmitter<{
        editor: Editor;
    }>;
    update: EventEmitter<{
        editor: Editor;
    }>;
    selectionUpdate: EventEmitter<{
        editor: Editor;
    }>;
    transaction: EventEmitter<{
        editor: Editor;
        transaction: import("prosemirror-state").Transaction<any>;
    }>;
    focus: EventEmitter<{
        editor: Editor;
        event: FocusEvent;
    }>;
    blur: EventEmitter<{
        editor: Editor;
        event: FocusEvent;
    }>;
    destroy: EventEmitter<{}>;
    content: object | string | null;
    injectCSS: boolean;
    autofocus: boolean;
    editable: boolean;
    editorProps: EditorProps;
    parseOptions: ParseOptions;
    enableInputRules: boolean;
    enablePasteRules: boolean;
    private editorComponent;
    private headerComponent;
    private tiptap;
    private destroy$;
    constructor(tiptapService: TiptapService, ngZone: NgZone, element: ElementRef, platformId: any, dialogService: DialogService, eventService: TiptapEventService);
    get editor(): Editor | null;
    ngAfterViewInit(): Promise<void>;
    ngOnDestroy(): void;
    private registerEvents;
    private buildEditorOptions;
    private pipeTo;
}
