import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, NgZone, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
export declare class OptionComponent {
    private element;
    set disabled(value: boolean);
    onSelect: EventEmitter<OptionComponent>;
    value: any;
    enforceHeight: boolean;
    useHtml: boolean;
    _disabled: boolean;
    private option;
    constructor(element: ElementRef);
    setSelected(value: boolean): void;
    emit($event: MouseEvent | Event): void;
    getContent(): string;
    private addOrRemoveClass;
}
export declare class SelectComponent implements AfterViewInit, OnDestroy, OnInit {
    private cd;
    private element;
    private ngZone;
    private renderer2;
    private sanitizer;
    private document;
    get value(): any;
    set value(value: any);
    width: string;
    placeholder: string;
    defaultValue: string;
    showIcon: boolean;
    change: EventEmitter<any>;
    visible: boolean;
    private optionList;
    private selectPreview;
    private destroy$;
    private _value;
    constructor(cd: ChangeDetectorRef, element: ElementRef, ngZone: NgZone, renderer2: Renderer2, sanitizer: DomSanitizer, document: Document);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    toggle($event: MouseEvent | Event): void;
    /**
     * Select the current component depending on the selected value
     * @param emitUpdate Should the change be propagated
     */
    private updateComponent;
}
