import type * as TipTap from '@tiptap/core';
import type { Editor } from '@tiptap/core';
import type { Heading } from '@tiptap/extension-heading';
import type * as LinkExtension from '@tiptap/extension-link';
import type * as TextAlignExtension from '@tiptap/extension-text-align';
import type * as UnderlineExtension from '@tiptap/extension-underline';
import type * as StarterKit from '@tiptap/starter-kit';
import type { Transaction } from 'prosemirror-state';
import type { loadCore } from '../tiptap-library-core';
export declare type TipTapModule = typeof TipTap;
export declare type TiptapLinkExtension = typeof LinkExtension;
export declare type TiptapTextAlignExtension = typeof TextAlignExtension;
export declare type TipTapStarterKit = typeof StarterKit;
export declare type TipTapUnderlineExtension = typeof UnderlineExtension;
export declare type TiptapLibraryCore = ReturnType<typeof loadCore>;
export declare type HeadingsExtension = typeof Heading;
export declare type HeadingLevel = 1 | 2 | 3 | 4 | 5 | 6;
export declare type EditorEvent = 'beforeCreate' | 'create' | 'update' | 'selectionUpdate' | 'transaction' | 'focus' | 'blur' | 'destroy';
export interface EditorEventReturn {
    beforeCreate: {
        editor: Editor;
    };
    create: {
        editor: Editor;
    };
    update: {
        editor: Editor;
    };
    selectionUpdate: {
        editor: Editor;
    };
    transaction: {
        editor: Editor;
        transaction: Transaction;
    };
    focus: {
        editor: Editor;
        event: FocusEvent;
    };
    blur: {
        editor: Editor;
        event: FocusEvent;
    };
    destroy: {};
}
