import { ApplicationRef, ComponentFactoryResolver, ComponentRef, Injector, Type } from '@angular/core';
import { DialogData, DialogRef, PopoverData } from '../components/dialog/dialog.helpers';
export declare class DialogService {
    private componentFactoryResolver;
    private appRef;
    private injector;
    private document;
    constructor(componentFactoryResolver: ComponentFactoryResolver, appRef: ApplicationRef, injector: Injector, document: Document);
    openDialog<R, D = any, C = any>(component: Type<C>, config?: Partial<DialogData<D>>): DialogRef<R, D, Type<C>>;
    openPopover<R, C extends Type<any>, D>(component: C, config: Partial<PopoverData<D>> & {
        position: PopoverData<any>['position'];
    }): DialogRef<R, D, C>;
    removeOverlay(componentRef: ComponentRef<any>): void;
    private createAndAttachComponent;
}
