import { NgZone } from '@angular/core';
import type { Editor, EditorOptions, Extension, Mark } from '@tiptap/core';
import { ExtensionLoader } from '../extensions/extension-loader-factory';
import { TipTapModule } from '../models/types';
export declare class TiptapService {
    private ngZone;
    private extensionLoader;
    private tiptapCore;
    private extensionPromise;
    constructor(ngZone: NgZone, extensionLoader: ExtensionLoader);
    getEditor(editorElement: HTMLElement, options?: Partial<EditorOptions>): Promise<Editor>;
    getExtensions(): Promise<(Mark | Extension)[]>;
    getTipTap(): Promise<TipTapModule>;
    private loadTiptapCore;
}
